Subject: Re: bug#60019: 29.0.60; Regression: Strg-Umlaut keys are decoded incorrectly
From: Daniel Mendler <[email-masked]>
To: [email-masked]
Date: Sat, 15 Feb 2025 22:06:14 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Daniel Mendler <[email-masked]> writes:

> On Emacs 29 German Umlauts with the control (strg key) modifier are
> decoded incorrectly on X11. When pressing C-ä I get the message "C-' is
> undefined", similarly when pressing C-ö I get "C-; is undefined". Also
> when binding commands to C-ä/C-ö, the commands are not executed due to
> the incorrect decoding. In contrast M-ä/M-ö works correctly, so the
> problem seems to be specific for the control key. Using C-ä/C-ö worked
> correctly on Emacs 27 and 28.

I have not observed this issue again, neither with nor without xinput2.
Therefore the issue can be closed.

Daniel